summaryrefslogtreecommitdiff
path: root/dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.8.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-15 14:53:16 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-15 14:53:16 +0000
commitd39251faa5ae1d1a3b3f45a8eb12603ea1c3eb33 (patch)
tree27d1da108f7079afe381999a1ab7d975bf338e6d /dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.8.0.ebuild
parentcee15b50a6efaddc076843e80533c2f9b9c9483e (diff)
downloadbaldeagleos-repo-d39251faa5ae1d1a3b3f45a8eb12603ea1c3eb33.tar.gz
baldeagleos-repo-d39251faa5ae1d1a3b3f45a8eb12603ea1c3eb33.tar.xz
baldeagleos-repo-d39251faa5ae1d1a3b3f45a8eb12603ea1c3eb33.zip
Adding metadata
Diffstat (limited to 'dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.8.0.ebuild')
-rw-r--r--dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.8.0.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.8.0.ebuild b/dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.8.0.ebuild
new file mode 100644
index 000000000000..4a32a03848f4
--- /dev/null
+++ b/dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.8.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="${PN//-/.}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Ruamel enhancements to pathlib and pathlib2"
+HOMEPAGE="https://pypi.org/project/ruamel.std.pathlib/ https://sourceforge.net/p/ruamel-std-pathlib"
+# PyPI tarballs do not include tests
+SRC_URI="mirror://sourceforge/ruamel-dl-tagged-releases/${MY_P}.tar.xz -> ${P}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="dev-python/namespace-ruamel[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}"/${MY_P}
+
+distutils_enable_tests pytest
+
+python_install() {
+ distutils-r1_python_install --single-version-externally-managed
+ find "${ED}" -name '*.pth' -delete || die
+}